<?php
	
	if(has_action('ompf_portfolio_layout_masonry')) {
		
		do_action('ompf_portfolio_layout_masonry');
		
	} else {
		
		$size=get_post_meta($portfolio_post_id, 'ompf_portfolio_thumbs_size', true);
		if(!$size)
			$size='medium';
			
		if(isset($GLOBALS['omPortfolioPlugin']['config']['thumbnail_sizes'][$size]['width']))
			$thumb_width=$GLOBALS['omPortfolioPlugin']['config']['thumbnail_sizes'][$size]['width'];
		else
			$thumb_width=300;
					
		$preview_layout=get_post_meta($portfolio_post_id, 'ompf_portfolio_preview_layout', true);
		if(!$preview_layout)
			$preview_layout='full';
		$item_preview_layout=$preview_layout;
						
		while ( have_posts() ) {
			the_post();
			
			/*
			$item_preview_layout=get_post_meta($post->ID, 'ompf_portfolio_preview_layout', true);
			if(!$item_preview_layout || $item_preview_layout == 'inherit')
				$item_preview_layout=$preview_layout;
			*/
			
			$link=get_post_meta($post->ID, 'ompf_portfolio_custom_link', true);
			if(!$link)
				$link=get_permalink();
			elseif($link == 'none')
				$link=false;

			$img=false;
			if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) {
				$img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
				if($img) {
					$img_=omaq_resize($img[0],$thumb_width, null, null, false);
					if($img_)
						$img=$img_;
				}
			}

			$item_classes=array(
				'ompf-portfolio-thumb',
				'ompf-isotope-item',
				'ompf-size-'.$size,
			);
			
			$term_classes=ompf_item_term_classes($post->ID);
			if($term_classes)
				$item_classes[]=$term_classes;
			
			if($link) {
				$item_classes[]='ompf-with-link';
			} else {
				$item_classes[]='ompf-no-link';
			}
			
			/*
			if($item_preview_layout != 'full') {
				$item_classes[]='ompf-no-desc';
			}
			*/
			
			if(has_filter('ompf_portfolio_layout_masonry_item')) {
				
				echo apply_filters('ompf_portfolio_layout_masonry_item', array(
					'post' => $post,
					'item_classes' => $item_classes,
					'item_preview_layout' => $item_preview_layout,
					'size' => $size,
					'link' => $link,
					'img' => $img,
				));
				
			} else {
				?>
				<div class="<?php echo implode(' ',$item_classes) ?>" id="post-<?php the_ID(); ?>">
					<a<?php if($link) echo ' href="'.$link.'"'; ?>>
						<?php if($img) { ?>
						<span class="ompf-pic-wrapper">
							<span class="ompf-pic" style="padding-top:<?php echo ($img[2]/$img[1] * 100) ?>%">
								<span class="ompf-pic-inner">
									<?php
										if($GLOBALS['omPortfolioPlugin']['config']['enable_lazyload_markup'])
											echo '<img src="'. $GLOBALS['omPortfolioPlugin']['config']['lazyload_placeholder']. '" data-original="'. $img[0] .'" class="lazyload" alt="'. esc_attr($post->post_title) .'" />';
										else
											echo '<img src="'. $img[0] .'" alt="'. esc_attr($post->post_title) .'" />';
									?>
									
								</span>
							</span>
						</span>
						<?php } ?>
						<?php if($item_preview_layout != 'thumbnail') { ?>
						<span class="ompf-desc-wrapper">
							<span class="ompf-desc">
								<span class="ompf-title"><?php the_title(); ?></span>
								<?php if ($text=get_post_meta($post->ID, 'ompf_portfolio_short_desc', true)) { ?><span class="ompf-text"><?php echo $text ?></span><?php } ?>
							</span>
						</span>
						<?php } ?>
					</a>
				</div>
				<?php 
			}
		}
	}
	